@echo off
REM Video Memory stress Test CE install script

echo   ##############################################################
echo   #                                                            #
echo   #  Video Memory stress Test CE Installation                  #
echo   #  This installation creates a bootable floppy disk.         #
echo   #                                                            #
echo   #  VMT CE is a standalone video memory test and must be      #
echo   #  booted from a floppy disk.                                #
echo   #                                                            #
echo   ##############################################################
echo   .

REM  Are both files here?
if not exist .\rawrite.exe goto NO_PGM
if not exist .\vmtce.img goto NO_IMG

rawrite -f vmtce.img
if ERRORLEVEL == 1 goto ERROR
echo Done!
echo To run VMT CE, leave the floppy in the drive and reboot.
goto EXIT

:NO_PGM
echo Error: Can't find "rawrite.exe".  This program must be in the
echo same directory as the install script.
goto ERROR

:NO_IMG
echo Error: Can't find "vmtce.img".  This file must be in the
echo same directory as the install script.
goto ERROR

:ERROR
echo Installation failed!

:EXIT
